> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Campaign Calls Bulk

> Create a new campaign call configuration in bulk.
- **body**: The campaign call configuration data.
- **config**: Configuration options for the campaign call.
- **data**: List of campaign call data to be processed in bulk.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/sms/api.json post /campaigns/v1/schedule/calls
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /campaigns/v1/schedule/calls:
    post:
      tags:
        - Campaign Bulk Calls
        - Bulk Calls
      summary: Create Campaign Calls Bulk
      description: |-
        Create a new campaign call configuration in bulk.
        - **body**: The campaign call configuration data.
        - **config**: Configuration options for the campaign call.
        - **data**: List of campaign call data to be processed in bulk.
      operationId: campaigns_service_create_campaigns_calls_v1_schedule_calls_post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: f8e41c1e-d816-4fa4-98d7-145b97cd9c07
              description: Campaign call configuration data
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '202':
          description: Batch accepted — campaign and calls created
          content:
            application/json:
              schema:
                $ref: 58bda9ae-4e8d-4209-91b8-dc1a26eb05ba
        '400':
          description: Bad request — invalid input or constraint violation
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '404':
          description: Requested resource not found
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: 61188eef-82a8-4002-94b5-80ed8ff45c7a
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````